- Qt 6.5
- Qt 3D
- C++ Classes
- Qt3DExtras
- QCuboidGeometryView
- Qt 6.5.1 Reference Documentation

# QCuboidGeometryView Class

class Qt3DExtras::QCuboidGeometryView

A cuboid mesh. More...

Header: | #include <Qt3DExtras/QCuboidGeometryView>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3dextras) target_link_libraries(mytarget PRIVATE Qt6::3dextras)
qmake: | QT += 3dextras
Instantiated By: | CuboidGeometryView
Inherits: | Qt3DCore::QGeometryView

- List of all members, including inherited members

## Properties

xExtent : float xyMeshResolution : QSize xzMeshResolution : QSize | yExtent : float yzMeshResolution : QSize zExtent : float

## Public Functions

| QCuboidGeometryView(Qt3DCore::QNode *parent = nullptr)
float | xExtent() const
QSize | xyMeshResolution() const
QSize | xzMeshResolution() const
float | yExtent() const
QSize | yzMeshResolution() const
float | zExtent() const

## Public Slots

void | setXExtent(float xExtent)
void | setXYMeshResolution(const QSize &resolution)
void | setXZMeshResolution(const QSize &resolution)
void | setYExtent(float yExtent)
void | setYZMeshResolution(const QSize &resolution)
void | setZExtent(float zExtent)

## Signals

void | xExtentChanged(float xExtent)
void | xyMeshResolutionChanged(const QSize &xyMeshResolution)
void | xzMeshResolutionChanged(const QSize &xzMeshResolution)
void | yExtentChanged(float yExtent)
void | yzMeshResolutionChanged(const QSize &yzMeshResolution)
void | zExtentChanged(float zExtent)

## Detailed Description

* * * * * * *

## Property Documentation

### xExtent : float

Holds the x extent of the mesh.

Access functions:

float | xExtent() const
void | setXExtent(float xExtent)

Notifier signal:

void | xExtentChanged(float xExtent)

### xyMeshResolution : QSize

Holds the x-y resolution of the mesh. The width and height values of this property specify the number of vertices generated for the x-y faces of the mesh.

Access functions:

QSize | xyMeshResolution() const
void | setXYMeshResolution(const QSize &resolution)

Notifier signal:

void | xyMeshResolutionChanged(const QSize &xyMeshResolution)

### xzMeshResolution : QSize

Holds the x-z resolution of the mesh. The width and height values of this property specify the number of vertices generated for the x-z faces of the mesh.

Access functions:

QSize | xzMeshResolution() const
void | setXZMeshResolution(const QSize &resolution)

Notifier signal:

void | xzMeshResolutionChanged(const QSize &xzMeshResolution)

### yExtent : float

Holds the y extent of the mesh.

Access functions:

float | yExtent() const
void | setYExtent(float yExtent)

Notifier signal:

void | yExtentChanged(float yExtent)

### yzMeshResolution : QSize

Holds the y-z resolution of the mesh. The width and height values of this property specify the number of vertices generated for the y-z faces of the mesh.

Access functions:

QSize | yzMeshResolution() const
void | setYZMeshResolution(const QSize &resolution)

Notifier signal:

void | yzMeshResolutionChanged(const QSize &yzMeshResolution)

### zExtent : float

Holds the z extent of the mesh.

Access functions:

float | zExtent() const
void | setZExtent(float zExtent)

Notifier signal:

void | zExtentChanged(float zExtent)

## Member Function Documentation

### `[explicit]` QCuboidGeometryView::QCuboidGeometryView(Qt3DCore::QNode *parent = nullptr)

Constructs a new QCuboidGeometryView with parent.